Bug 500260 - e2fsck self-reports a bug
e2fsck self-reports a bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 18:20 EDT by Andrei Gaponenko
Modified: 2009-12-18 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:25:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Gaponenko 2009-05-11 18:20:23 EDT
Hi,

While running

[root@localhost ~]# e2fsck -C 0 -t -t -v -f -y /dev/sdb1
e2fsck 1.41.4 (27-Jan-2009)                                           
...

to repair a filesystem on an external USB drive I noticed a
'PROGRAMMING BUG IN E2FSCK' message shown below.  The filesystem was
NOT mounted during the check.  /dev/sdb1 is an external USB drive with
ext3 created a few years ago.  (A laptop was removed from its bay
without unmounting the fs a few times, thus the need for a repair.)
I can provide a complete output of the e2fsck session if needed.
Package version e2fsprogs-1.41.4-5.fc10.src.rpm.

Regards,
Andrei

================================================================
....

Unattached inode 16040267
Connect to /lost+found? yes

WARNING: PROGRAMMING BUG IN E2FSCK!
        OR SOME BONEHEAD (YOU) IS CHECKING A MOUNTED (LIVE) FILESYSTEM.
inode_link_info[16040267] is 65500, inode.i_links_count is 65535.  They should be the same!
Inode 16040267 ref count is 65535, should be 1.  Fix? yes                                  

Unattached inode 16040331
Connect to /lost+found? yes

....
================================================================
Comment 1 Eric Sandeen 2009-05-12 12:00:16 EDT
heh, that's a nice message.

Can you provide an e2image of the filesystem, and I'll see if that reproduces the problem?

Thanks,

-Eric
Comment 2 Andrei Gaponenko 2009-05-12 13:55:59 EDT
Hi,

> Can you provide an e2image of the filesystem, and I'll see if that reproduces
> the problem?

The un-repaired image is gone.   Immediately after the fsck run that reported 
the bug I ran fsck again (with exactly the same command line).  That time it
did not find any problems on the filesystem.  Since yesterday tons of files
were removed and others copied to that disk.

I hoped that one could look at the program code and understand how the 
counter could became wrong and what assumptions are to be fixed.
Failed internal consistency checks are usually
easier to debug than just a segfault...

Regards,
Andrei
Comment 3 Bug Zapper 2009-11-18 06:56:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:25:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.